# Method: inventorySources.get

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/get#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/get#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/get#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/inventorySources/get#try-it)

Gets an inventory source.

### HTTP request

`GET https://displayvideo.googleapis.com/v4/inventorySources/{inventorySourceId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `inventorySourceId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the inventory source to fetch. |

### Query parameters

| Parameters ||
|---|---|
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the DV360 partner to which the fetched inventory source is permissioned. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The ID of the DV360 advertiser to which the fetched inventory source is permissioned. If the user only has access to the advertiser and not the parent partner, use this field to specify the relevant advertiser. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/inventorySources#InventorySource`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).